# Method: projects.locations.glossaries.create

- [HTTP request](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/create#body.request_body)
- [Response body](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries/create#try-it)

Creates a glossary and returns the long-running operation. Returns NOT_FOUND, if the project doesn't exist.

### HTTP request

`POST https://translate.googleapis.com/v3beta1/{parent=projects/*/locations/*}/glossaries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project name. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `cloudtranslate.glossaries.create` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/translate/docs/reference/rest/v3beta1/projects.locations.glossaries#Glossary`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/translate/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).